Subject: Re: Subtree with submodule inside?

From: Junio C Hamano <[email-masked]>
Date: Wed, 06 Aug 2014 10:51:50 -0700

Robert Dailey <[email-masked]> writes:

> Is this even possible? The .gitmodule file has to be at the root of
> the repository, AFAIK. So if the subtree is inherently not at the
> root, how does it manage its own submodules?
>
> Basically I have a common library that also keeps a submodule of third
> party dependencies (binaries). Each super project that depends on this
> common library (each super project has its own repository) will add it
> as a subtree. So what happens to the submodule with this setup?

My knee-jerk reaction would be "subtree would break submodules
badly, don't use it" ;-).

After all, I invented subtree merge as an ugly interim workaround
before submodule subsystem got into a usable shape, hoping that new
projects can use submodules without resorting to subtree merges.